package MyProject;
import simulate.Scenario;

/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/*
 * Simulation of an Agent Based Computational Economics Model using three industries (the Raw Material, the Necessity, and the Discretionary Industries) to represent an economy.
 * This model simulates an economy with a growing population and an exponentially increasing productivity.
 * The model does not include debt, loans, interest, or ownership dividends. 
 * After initialization, new money in this model is only created when a new person is born (an amount set by the Government).
 * This model simulates production and consumption.
 */
public class ThreeIndustryABCEModel {	
	public static void main(String[] args) throws Exception {
		Scenario scenario = new Scenario();
		scenario.multipleRuns();
		//scenario.multipleRunsCheckFailRateOnly();
	}
}
