package display;

/*	Copyright 2021 Ian Stuart

This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

public class ChartKey {
	private final String chartTitle;
	private final String chartXLabel;
	private final String chartYLabel;
	private final String[] keys;
	private final String firstNote;
	private final String secondNote;
	public ChartKey(String chartTitle, String chartXLabel, String chartYLabel, String[] keys, String firstNote, String secondNote) {
		this.chartTitle = chartTitle;
		this.chartXLabel = chartXLabel;
		this.chartYLabel = chartYLabel;
		this.keys = keys;
		this.firstNote = firstNote;
		this.secondNote = secondNote;
	}
	
	public ChartKey(String chartTitle, String chartXLabel, String chartYLabel, String[] keys, String firstNote) {
		this(chartTitle, chartXLabel, chartYLabel, keys, firstNote, "");
	}
	
	public ChartKey(String chartTitle, String chartXLabel, String chartYLabel, String[] keys) {
		this(chartTitle, chartXLabel, chartYLabel, keys, "", "");
	}
	
	public String getChartTitle() { return this.chartTitle; }
	public String getChartXLabel() { return this.chartXLabel; }
	public String getChartYLabel() { return this.chartYLabel; }
	public String[] getKeys() { return this.keys; }
	public String getFirstNote() {return this.firstNote; }
	public String getSecondNote() {return this.secondNote; }
}
