package display;
import java.awt.Color;

/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

public class Colors{
	public static final Color LIGHT_BLUE = new Color(0x00, 0x66, 0xFF);

	public static final Color DEEP_PURPLE = new Color(0x66, 0x00, 0x99);
	public static final Color PURPLE = new Color(0x99, 0x00, 0xFF);
	public static final Color LIGHT_PURPLE = new Color(0x99, 0x00, 0xFF);
	public static final Color BROWN = new Color(0x66, 0x33, 0x00);
	public static final Color LIGHT_BROWN = new Color(0x99, 0x66, 0x00);
	public static final Color LIGHT_GREEN = new Color(0x99, 0xFF, 0x00);
	public static final Color DEEP_GREEN = new Color(0x00, 0x99, 0x00);
	public static final Color DARK_GREEN = new Color(0x00, 0x55, 0x00);
	public static final Color BURGUNDY = new Color(0x88, 0x00, 0x00);
	public static final Color BLUE_GREEN = new Color(0x00, 0x33, 0x66);
	public static final Color BROWN_GREEN = new Color(0x99, 0x99, 0x00);
	public static final Color LIGHT_BROWN_GREEN = new Color(0xCC, 0xCC, 0x00);
	public static final Color DARK_BROWN_GREEN = new Color(0x66, 0x66, 0x00);
		
	
	protected final Color[] solidColors = new Color[] { 
			Color.BLUE, Color.RED, Color.GREEN, Color.ORANGE, Color.PINK, 
			Color.CYAN, Color.YELLOW, Color.MAGENTA, Colors.BLUE_GREEN, Colors.BROWN,
			Colors.BROWN_GREEN, Colors.BURGUNDY, Colors.DARK_BROWN_GREEN, Colors.DARK_GREEN, Colors.DEEP_GREEN,
			Colors.DEEP_PURPLE, Colors.LIGHT_BLUE, Colors.LIGHT_BROWN, Colors.LIGHT_BROWN_GREEN, Colors.LIGHT_GREEN,
			Colors.LIGHT_PURPLE, Colors.PURPLE};
	
	public Color[] getSolidColors() { return solidColors;}
	
	public static Color[] getTransparentColors(int divisor) {
		int alpha = 0;
		if(divisor < 0x18) {
			alpha = 0xff/divisor;
		}else{
			alpha = 0xff/0x18;
		}
		Color[] transparentColors = new Color[] { new Color(0x00, 0x00, 0xff, alpha), new Color(0xff, 0x00, 0x00, alpha), new Color(0x00, 0xff, 0x00, alpha),  new Color(0xff, 0xa5, 0x00, alpha),
				new Color(0xff, 0xc0, 0xcb, alpha)};
		return transparentColors;
	}
}

