package display;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Graphics;
import java.util.ArrayList;

/*	Copyright 2021 Ian Stuart

This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

public class TestResults  extends Canvas{
	private static final long serialVersionUID = 5735887466417850902L;
	private String title;
	private ArrayList<String> results;
	public TestResults(int width, int height, String title, ArrayList<String> results) {
		setSize(width, height);
		this.title = title;
		this.results = results;
	}
	
	public void paint(Graphics graphics) {
		graphics.setColor(Color.BLACK);
		graphics.drawString( this.title, this.getWidth()/4, 20 );
		for(int i = 0; i < results.size(); i++) {
			graphics.drawString(results.get(i), 25, 25 * (i+2) );
		}
	}
	
	public void SetTitle(String title) {this.title = title;}
}
