package people;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/
public abstract class AbstractAgent{
	private final int timeInitialized;
	private int birthTime;
	
	protected AbstractAgent() {
		this.timeInitialized = THE_WORLD.getInstance().getTime();
		this.birthTime = THE_WORLD.getInstance().getTime();
	}
	
	protected AbstractAgent(int age) {
		this.timeInitialized = THE_WORLD.getInstance().getTime();
		this.birthTime = THE_WORLD.getInstance().getTime() - age;
	}
	
	public int getAge() {return (THE_WORLD.getInstance().getTime() - this.birthTime)/THE_WORLD.UNITS_OF_TIME_IN_YEAR;}
	public int getTimeInitialized() {return this.timeInitialized;}
} 
 