package people;
import utility.Two;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Represents specific abstract relationship between two people. 
 * 
 * @author Ian Stuart
 */
public class AbstractRelationship {
	protected Person firstPerson;
	protected Person secondPerson;
	protected final int since;
	public AbstractRelationship(Person firstPerson, Person secondPerson) {
		this.firstPerson = firstPerson;
		this.secondPerson = secondPerson;
		this.since = THE_WORLD.getInstance().getTime();
	}
	
	/*
	 * The assumption here is that one person is known. The known person of a relationship should be passed in as an argument here and the other person will be returned. 
	 */
	public Person getTheOtherPerson(Person person) {
		if(firstPerson != person && secondPerson == person) {
			return firstPerson;
		}else if(secondPerson != person && firstPerson == person){
			return secondPerson;
		}
		return null;
	}
	
	public Two<Person, Person> getPeople(){ return new Two<Person, Person>(this.firstPerson, this.secondPerson);}
	
	public int getSince() {return this.since;}
}
