package people;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Represents direct biological relationship (type).
 * 
 * @author Ian Stuart
 */
public enum EBiologicalRelationship {
	FATHER("father", false), MOTHER("mother", false), FIRST_DAUGHTER("daughter", true), FIRST_SON("son", true), SECOND_DAUGHTER("daughter", true), SECOND_SON("son", true), 
	THIRD_DAUGHTER("daughter", true), THIRD_SON("son", true), FOURTH_SON("son", true), FOURTH_DAUGHTER("daughter", true), NONE("none", false);
	
	private final String name;
	private final boolean isOffspring;
	private EBiologicalRelationship(String name, boolean isOffspring) {
		this.name = name;
		this.isOffspring = isOffspring;
	}
	
	public boolean isOffspring() {return this.isOffspring;}
	public String getName() {return this.name;}
}
