package people;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Used to signify reproductive gender.
 * 
 * @author Ian Stuart
 */
public enum EReproductiveGender {
	MALE("Male", "M"), FEMALE("Female", "F"), OTHER("Other", "");
	
	private String name;
	private String abbreviation;
	
	private EReproductiveGender(String name, String abbreviation) {
		this.name = name;
		this.abbreviation = abbreviation;
	}
	
	public String getName(){return this.name;}
	
	public String getAbbreviation() { return this.abbreviation; }
}
