package utility;
import people.THE_WORLD;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Holds an item and the time its item was last set.
 * 
 * @author Ian Stuart
 *
 * @param <T> Type of object being held.
 */
public class AnItemAndTheTimeSinceChangingIt<T> {
	private T item;
	private int timeOfLastChange;
	public AnItemAndTheTimeSinceChangingIt(T item) {
		this.item = item;
		this.timeOfLastChange = THE_WORLD.getInstance().getTime();
	}
	
	public T get() {
		return this.item;
	}
	
	public int getTimeSinceLastChange() {
		return THE_WORLD.getInstance().getTime() - this.timeOfLastChange;
	}
	
	public void set(T item) {
		this.item = item;
		this.timeOfLastChange = THE_WORLD.getInstance().getTime();
	}
	
}
