package utility;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Generic class that can hold four objects
 * 
 * @author Ian Stuart
 *
 * @param <First> first object type.
 * @param <Second> second object type.
 * @param <Third> third object type.
 * @param <Fourth> fourth object type.
 */
public class Four<First, Second, Third, Fourth> {
	private First first;
	private Second second;
	private Third third;
	private Fourth fourth;
	
	public Four(First first, Second second, Third third, Fourth fourth){
		this.first = first;
		this.second = second;
		this.third = third;
		this.fourth = fourth;
	}
	
	public First getFirst() { return first; }
	public Four<First, Second, Third, Fourth> setFirst(First first) {this.first = first; return this;}
	public Second getSecond() { return second; }
	public Four<First, Second, Third, Fourth> setSecond(Second second) {this.second = second; return this;}
	public Third getThird() { return third;}
	public Four<First, Second, Third, Fourth> setThird(Third third) {this.third = third; return this;}
	public Fourth getFourth() {return this.fourth;}
	public Four<First, Second, Third, Fourth> setFourth(Fourth fourth) {this.fourth = fourth; return this;}

}

