package utility;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Generic class that can hold three objects
 * 
 * @author Ian Stuart
 *
 * @param <First> first object type.
 * @param <Second> second object type.
 * @param <Third> third object type.
 */
public class Three<First, Second, Third> {
	private First first;
	private Second second;
	private Third third;
	
	public Three(First first, Second second, Third third){
		this.first = first;
		this.second = second;
		this.third = third;
	}
	
	public First getFirst() { return first; }
	public Three<First, Second, Third> setFirst(First first) {this.first = first; return this;}
	public Second getSecond() { return second; }
	public Three<First, Second, Third> setSecond(Second second) {this.second = second; return this;}
	public Third getThird() { return third;}
	public Three<First, Second, Third> setThird(Third third) {this.third = third; return this;}

}

