package utility;
/*	Copyright 2021 Ian Stuart

	This file is part of Three Industry ABCE Model.

Three Industry ABCE Model is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Three Industry ABCE Model is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Three Industry ABCE Model.  If not, see <https://www.gnu.org/licenses/>.
*/

/**
 * Generic class that can hold two objects.
 * 
 * @author Ian Stuart
 *
 * @param <First> first object type.
 * @param <Second> second object type.
 */
public class Two<First, Second> {
	private First first;
	private Second second;
	
	public Two(First first, Second second){
		this.first = first;
		this.second = second;
	}
	
	public First getFirst() { return first; }
	public Two<First, Second> setFirst(First first) {this.first = first; return this;}
	public Second getSecond() { return second; }
	public Two<First, Second> setSecond(Second second){ this.second = second; return this;}
}
